return {
PlaceObj('ModItemBuildingTemplate', {
	'name', "WideAreaConcreteExtractor",
	'template_class', "WideAreaExtractor",
	'resource_produced1', "Concrete",
	'production_per_day1', 18000,
	'resource_produced2', "WasteRock",
	'stockpile_class2', "WasteRockStockpile",
	'pin_rollover_hint', T{191397205796, --[[ModItemBuildingTemplate WideAreaConcreteExtractor pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400> Select"},
	'pin_rollover_hint_xbox', T{566919254947, --[[ModItemBuildingTemplate WideAreaConcreteExtractor pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> View"},
	'construction_cost_Metals', 20000,
	'construction_cost_MachineParts', 5000,
	'build_points', 5000,
	'is_tall', true,
	'dome_forbidden', true,
	'force_extend_bb_during_placement_checks', 12000,
	'show_decals_on_placement', true,
	'upgrade1_id', "RegolithExtractor_FueledExtractor",
	'upgrade1_display_name', T{722881825378, --[[ModItemBuildingTemplate WideAreaConcreteExtractor upgrade1_display_name]] "Fueled Extractor"},
	'upgrade1_description', T{972909767575, --[[ModItemBuildingTemplate WideAreaConcreteExtractor upgrade1_description]] "+<upgrade1_mul_value_1>% Production as long as the building is supplied with Fuel. If not supplied with Fuel, the building will continue to operate but will lose the bonus."},
	'upgrade1_icon', "UI/Icons/Upgrades/fueled_extractor_01.tga",
	'upgrade1_upgrade_cost_MachineParts', 5000,
	'upgrade1_mod_label_1', "WideAreaExtractor",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 50,
	'upgrade1_consumption_resource_type', "Fuel",
	'upgrade1_consumption_amount', 800,
	'upgrade1_consumption_resource_stockpile_spot_name', "",
	'upgrade2_id', "RegolithExtractor_Amplify",
	'upgrade2_display_name', T{326866331751, --[[ModItemBuildingTemplate WideAreaConcreteExtractor upgrade2_display_name]] "Amplify"},
	'upgrade2_description', T{399266314186, --[[ModItemBuildingTemplate WideAreaConcreteExtractor upgrade2_description]] "+<upgrade2_mul_value_1>% Production; + Consumption."},
	'upgrade2_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade2_upgrade_cost_Polymers', 2000,
	'upgrade2_mod_label_1', "WideAreaExtractor",
	'upgrade2_mod_prop_id_1', "production_per_day1",
	'upgrade2_mul_value_1', 25,
	'upgrade2_mod_label_2', "WideAreaExtractor",
	'upgrade2_mod_prop_id_2', "electricity_consumption",
	'upgrade2_add_value_2', 10000,
	'upgrade3_id', "RegolithExtractor_MagneticExtraction",
	'upgrade3_display_name', T{520769865356, --[[ModItemBuildingTemplate WideAreaConcreteExtractor upgrade3_display_name]] "Magnetic Extraction"},
	'upgrade3_description', T{519164817952, --[[ModItemBuildingTemplate WideAreaConcreteExtractor upgrade3_description]] "+<upgrade3_mul_value_1>% Production."},
	'upgrade3_icon', "UI/Icons/Upgrades/magnetic_extraction_01.tga",
	'upgrade3_upgrade_cost_Electronics', 5000,
	'upgrade3_upgrade_cost_MachineParts', 5000,
	'upgrade3_mod_label_1', "WideAreaExtractor",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 50,
	'maintenance_resource_type', "MachineParts",
	'maintenance_resource_amount', 2000,
	'maintenance_threshold_base', 150000,
	'display_name', T{770272181548, --[[ModItemBuildingTemplate WideAreaConcreteExtractor display_name]] "Wide Area Concrete Extractor"},
	'display_name_pl', T{696767879880, --[[ModItemBuildingTemplate WideAreaConcreteExtractor display_name_pl]] "Wide Area Concrete Extractors"},
	'description', T{996943961626, --[[ModItemBuildingTemplate WideAreaConcreteExtractor description]] "Extracts Concrete from area deposits. All extractors contaminate nearby buildings with dust."},
	'build_category', "Production",
	'display_icon', "UI/Icons/Buildings/universal_extractor.tga",
	'build_pos', 5,
	'entity', "UniversalExtractor",
	'show_range_all', true,
	'encyclopedia_image', "UI/Encyclopedia/RareMetalsExtractor.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "WaterExtractor",
	'demolish_sinking', range(5, 10),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 68,
	'exploitation_radius', 6,
	'electricity_consumption', 20000,
}),
PlaceObj('ModItemCode', {
	'name', "WideAreaExtractor",
	'FileName', "Code/WideAreaExtractor.lua",
}),
PlaceObj('ModItemXTemplate', {
	__content = function (parent, context) return XTemplates.sectionServiceArea end,
	__is_kind_of = "sectionServiceArea",
	group = "Infopanel Sections",
	id = "sectionWideArea",
	PlaceObj('XTemplateTemplate', {
		'__context_of_kind', "WideAreaExtractor",
		'__template', "InfopanelSection",
		'RolloverText', T{457320125986, --[[ModItemXTemplate sectionWideArea RolloverText]] "Determines the radius for concrete extraction. <newline><newline>Service range<right><SelectionRadiusScale> hexes"},
		'OnContextUpdate', function (self, context, ...)  end,
		'Title', T{297797666858, --[[ModItemXTemplate sectionWideArea Title]] "Extraction area"},
		'Icon', "UI/Icons/Sections/facility.tga",
	}, {
		PlaceObj('XTemplateTemplate', {
			'__template', "InfopanelSlider",
			'BindTo', "UIWorkRadius",
			'Max', 12,
		}),
		}),
}),
}
